
QGIS Application - Bug report #8994

Difference in topology check between Topology Checker Plugin and Geometry tools

2013-11-04 01:29 AM - Moreno Comelli

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 17651

Description

When I check the validity of a closed polyline, I get these results using different tools:

- no errors using Topology Checker Plugin

- intersection using Vector-->Geometry tools-->Check geometry validity

The geometry should be valid, since it's been imported in GRASS using proper snapping options.

In attach you can find the GRASS dataset with the 'invalid' geometry and the screenshot displaying the error.

Same problem in QGIS 2.0.1 and 2.1.0 Master (5f5cd4c), on Win XP x64

History

#1 - 2017-05-01 01:09 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

Files

corr_geom.zip 5.13 KB 2013-11-04 Moreno Comelli

topology_error.png 138 KB 2013-11-04 Moreno Comelli
